Store Locator Custom Fields

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows you to map Intouch custom fields to your store-locator custom fields for a given brand.

Prerequisites

  • Authentication: Basic or OAuth credentials
  • Default access group

Resource information

URI/integration/v1/brand/[brandID]/store-locator/custom-fields/map
HTTP MethodPOST
PaginationNo
Batch supportNo
Rate limit informationNot specified

Endpoint

POST https://sol-qa.capillarytech.com/integration/v1/brand/{brandId}/store-locator/custom-fields/map

Path Parameters

NameTypeDescription
brandIdstringUnique identifier of the brand

Request Headers

HeaderValue
Content-Typeapplication/json

Request Body parameters

FieldTypeDescription
mappingarray of objectsList of field-to-field mappings
intouchCustomFieldstringName of the custom field in Intouch
mappedCustomFieldstringName of the corresponding custom field in your store-locator API

Request body sample

curl -i -X POST \
  -H "Content-Type:application/json" \
  -d '{
    "mapping": [
      {
        "intouchCustomField": "area",
        "mappedCustomField": "region"
      }
    ]
  }' \
  '[https://sol-qa.capillarytech.com/integration/v1/brand/](https://sol-qa.capillarytech.com/integration/v1/brand/){brandId}/store-locator/custom-fields/map'
Path Params
string
required
Body Params

Request body

mapping
array of objects
mapping
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json